package com.yuchen.saas.parking.charge.api.feign;

import com.yuchen.saas.parking.charge.api.dto.charge.SpcStationQueryDTO;
import com.yuchen.saas.parking.charge.api.entity.charge.SpcStation;
import com.yuchen.saas.parking.charge.api.vo.charge.SpcStationApplyDetailVO;
import com.yuchen.saas.parking.charge.api.vo.charge.SpcStationStatisticsVO;
import com.yuchen.saas.parking.charge.api.vo.charge.SpcStationVO;
import org.nest.springwrap.core.mp.support.NestPage;
import org.nest.springwrap.core.mp.support.Query;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class SpcStationFeignClientFallback implements SpcStationFeignClient {

    @Override
    public R<SpcStation> getById(Long id) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<SpcStation>> getSpcStationList() {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<SpcStation>> listByNo(String no,Long parkingId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<SpcStation>> listByParkingId(Long parkingId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<String> getStationNamesByIds(String stationIds) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<NestPage<SpcStationVO>> getChargeListByUserRole(SpcStationQueryDTO stationQueryDTO, Query query) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<SpcStationApplyDetailVO> bindingDetail(Long stationId) {
        return R.fail("远程调用失败");
    }

    @Override
    public R<List<SpcStationStatisticsVO>> findStationStatisticsByParkId(Long parkId) {
        return R.fail("远程调用失败");
    }
}
